<template>
  <b-link class="app-drawer-link" :to="link">
    <div class="icon">
      <b-icon :icon="icon" />
    </div>

    <div class="text" :class="{ 'has-subtext' : subtext }">
      {{ text }}
      <div class="subtext">
        {{ subtext }}
      </div>
    </div>
  </b-link>
</template>

<script>
export default {
  name: 'AppDrawerLink',
  props: {
    text: String,
    subtext: String,
    icon: String,
    link: String
  }
}
</script>

<style scoped lang="scss">
.app-drawer-link {
  display: flex;
  margin: 6px 0 6px 0;

  .icon {
    background: rgb(47, 92, 202);
    display: inline-block;
    color: #FFF;
    font-size: 30px;
    line-height: 37px;
    width: 36px;
    height: 36px;
    text-align: center;
    margin-right: 8px;
    border-radius: 5px;
  }
  .text {
    display: inline-block;
    color: black;
    line-height: 36px;

    &.has-subtext {
      line-height: 20px;
    }

    .subtext {
      font-size: 11px;
      color: #525252;
    }
  }
}
</style>
